package com.kingdee.eas.custom.compensation.basedata;

import com.kingdee.bos.BOSException;
import com.kingdee.bos.BOSObjectFactory;
import com.kingdee.bos.util.BOSObjectType;
import com.kingdee.bos.Context;

public class AccountEntityFactory
{
    private AccountEntityFactory()
    {
    }
    public static com.kingdee.eas.custom.compensation.basedata.IAccountEntity getRemoteInstance() throws BOSException
    {
        return (com.kingdee.eas.custom.compensation.basedata.IAccountEntity)BOSObjectFactory.createRemoteBOSObject(new BOSObjectType("91A1612C") ,com.kingdee.eas.custom.compensation.basedata.IAccountEntity.class);
    }
    
    public static com.kingdee.eas.custom.compensation.basedata.IAccountEntity getRemoteInstanceWithObjectContext(Context objectCtx) throws BOSException
    {
        return (com.kingdee.eas.custom.compensation.basedata.IAccountEntity)BOSObjectFactory.createRemoteBOSObjectWithObjectContext(new BOSObjectType("91A1612C") ,com.kingdee.eas.custom.compensation.basedata.IAccountEntity.class, objectCtx);
    }
    public static com.kingdee.eas.custom.compensation.basedata.IAccountEntity getLocalInstance(Context ctx) throws BOSException
    {
        return (com.kingdee.eas.custom.compensation.basedata.IAccountEntity)BOSObjectFactory.createBOSObject(ctx, new BOSObjectType("91A1612C"));
    }
    public static com.kingdee.eas.custom.compensation.basedata.IAccountEntity getLocalInstance(String sessionID) throws BOSException
    {
        return (com.kingdee.eas.custom.compensation.basedata.IAccountEntity)BOSObjectFactory.createBOSObject(sessionID, new BOSObjectType("91A1612C"));
    }
}